From 6ebc7d09f005898236ee27a780f6fc0426cdd271 Mon Sep 17 00:00:00 2001
From: Matt Turner <mattst88@gmail.com>
Date: Wed, 26 Jan 2022 18:08:24 -0800
Subject: [PATCH] Add config options for libsoup

---
 meson.build       | 4 ++--
 meson_options.txt | 5 +++++
 2 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/meson.build b/meson.build
index 4109293a9..39947437a 100644
--- a/meson.build
+++ b/meson.build
@@ -53,8 +53,8 @@ json_glib = dependency('json-glib-1.0', version: '>= 1.4', required: true)
 libxml2 = dependency('libxml-2.0', version: '> 2.6')
 sqlite = dependency('sqlite3', version: '>' + sqlite_required)
 dbus = dependency('dbus-1')
-libsoup2 = dependency('libsoup-2.4', version: '> 2.40', required: false)
-libsoup3 = dependency('libsoup-3.0', version: '>= 2.99.2', required: false)
+libsoup2 = dependency('libsoup-2.4', version: '> 2.40', required: get_option('libsoup2'))
+libsoup3 = dependency('libsoup-3.0', version: '>= 2.99.2', required: get_option('libsoup3'))
 
 libmath = cc.find_library('m', required: false)
 libdl = cc.find_library('dl')
diff --git a/meson_options.txt b/meson_options.txt
index a7e647d02..d431caa03 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -28,3 +28,8 @@ option('tests_tap_protocol', type: 'boolean', value: false,
        description: 'Whether to enable TAP protocol on tests')
 option('introspection', type: 'feature', value: 'enabled',
        description: 'Whether to enable introspection')
+
+option('libsoup2', type: 'feature', value: 'enabled',
+       description: 'Whether to enable libsoup2')
+option('libsoup3', type: 'feature', value: 'enabled',
+       description: 'Whether to enable libsoup3')
-- 
2.34.1

